Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextCharFormat.VerticalAlignment

    java.lang.Object
      java.lang.Enum<QTextCharFormat.VerticalAlignment>
          com.trolltech.qt.gui.QTextCharFormat.VerticalAlignment

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextCharFormat.VerticalAlignment>

Enclosing class:
  QTextCharFormat

    public static enum QTextCharFormat.VerticalAlignment

extends java.lang.Enum<QTextCharFormat.VerticalAlignment>
implements QtEnumerator

This enum describes the ways that adjacent characters can be vertically aligned.

Enum Constant Summary
`AlignBottom` The bottom edge of the object is vertically aligned with the base line.
`AlignMiddle` This is currently only implemented for inline objects.
`AlignNormal` Adjacent characters are positioned in the standard way for text in the writing system in use.
`AlignSubScript` Characters are placed below the baseline for normal text.
`AlignSuperScript` Characters are placed above the baseline for normal text.
`AlignTop` The top edge of the object is vertically aligned with the base line.

Method Summary
`static QTextCharFormat.VerticalAlignment` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCharFormat.VerticalAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextCharFormat.VerticalAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AlignNormal

    public static final QTextCharFormat.VerticalAlignment AlignNormal

  Adjacent characters are positioned in the standard way for text in the writing system in use.

### AlignSuperScript

    public static final QTextCharFormat.VerticalAlignment AlignSuperScript

  Characters are placed above the baseline for normal text.

### AlignSubScript

    public static final QTextCharFormat.VerticalAlignment AlignSubScript

  Characters are placed below the baseline for normal text.

### AlignMiddle

    public static final QTextCharFormat.VerticalAlignment AlignMiddle

  This is currently only implemented for inline objects. The center of the object is vertically aligned with the base line.

### AlignTop

    public static final QTextCharFormat.VerticalAlignment AlignTop

  The top edge of the object is vertically aligned with the base line.

### AlignBottom

    public static final QTextCharFormat.VerticalAlignment AlignBottom

  The bottom edge of the object is vertically aligned with the base line.

Method Detail

### values

    public static final QTextCharFormat.VerticalAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextCharFormat.VerticalAlignment c : QTextCharFormat.VerticalAlignment.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextCharFormat.VerticalAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCharFormat.VerticalAlignment resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD